Package org.drinkless.tdlib

# Class TdApi.SearchPublicPosts

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FoundPublicPosts>
org.drinkless.tdlib.TdApi.SearchPublicPosts

Enclosing class:
  `TdApi`

public static class TdApi.SearchPublicPosts extends TdApi.Function<TdApi.FoundPublicPosts>
Searches for public channel posts using the given query. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

Returns `FoundPublicPosts`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of messages to be returned; up to 100.
  `String`
  `offset`
  Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `String`
  `query`
  Query to search for.
  `long`
  `starCount`
  The Telegram Star amount the user agreed to pay for the search; pass 0 for free searches.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchPublicPosts()`
  Default constructor for a function, which searches for public channel posts using the given query.
  `SearchPublicPosts(String query, String offset, int limit, long starCount)`
  Creates a function, which searches for public channel posts using the given query.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### query

    public String query
    Query to search for.

  - ### offset

    public String offset
    Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

  - ### starCount

    public long starCount
    The Telegram Star amount the user agreed to pay for the search; pass 0 for free searches.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchPublicPosts

    public SearchPublicPosts()
    Default constructor for a function, which searches for public channel posts using the given query. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

    Returns `FoundPublicPosts`

  - ### SearchPublicPosts

    public SearchPublicPosts(String query, String offset, int limit, long starCount)
    Creates a function, which searches for public channel posts using the given query. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

    Returns `FoundPublicPosts`

    Parameters:
      `query` - Query to search for.
      `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
      `limit` - The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.
      `starCount` - The Telegram Star amount the user agreed to pay for the search; pass 0 for free searches.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FoundPublicPosts>`
    Returns:
      this.CONSTRUCTOR